login
Header Space

 
 

Re: [QUESTION] about .git/info/grafts file

Score:
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Andreas Ericsson <ae@...>
Cc: Junio C Hamano <junkio@...>, Franck <vagabon.xyz@...>, Git Mailing List <git@...>
Date: Thursday, January 19, 2006 - 9:05 am

Dear diary, on Thu, Jan 19, 2006 at 12:10:23PM CET, I got a letter
where Andreas Ericsson <ae@op5.se> said that...

FWIW, with the ELinks GIT repository we just started from scratch and
then converted the old CVS repository, and provided this script in
contrib/grafthistory.sh:


#!/bin/sh
#
# Graft the ELinks development history to the current tree.
#
# Note that this will download about 80M.

if [ -z "`which wget 2>/dev/null`" ]; then
  echo "Error: You need to have wget installed so that I can fetch the history." >&2
  exit 1
fi

[ "$GIT_DIR" ] || GIT_DIR=.git
if ! [ -d "$GIT_DIR" ]; then
  echo "Error: You must run this from the project root (or set GIT_DIR to your .git directory)." >&2
  exit 1
fi
cd "$GIT_DIR"

echo "[grafthistory] Downloading the history"
mkdir -p objects/pack
cd objects/pack
wget -c http://elinks.cz/elinks-history.git/objects/pack/pack-0d6c5c67aab3b9d5d9b245da5929c15d...
wget -c http://elinks.cz/elinks-history.git/objects/pack/pack-0d6c5c67aab3b9d5d9b245da5929c15d...

echo "[grafthistory] Setting up the grafts"
cd ../..
mkdir -p info
# master
echo 0f6d4310ad37550be3323fab80456e4953698bf0 06135dc2b8bb7ed2e441305bdaa82048396de633 >>info/grafts
# REL_0_10
echo 43a9a406737fd22a8558c47c74b4ad04d4c92a2b 730242dcf2cdeed13eae7e8b0c5f47bb03326792 >>info/grafts

echo "[grafthistory] Refreshing the dumb server info wrt. new packs"
cd ..
git-update-server-info


So you checkout the ELinks repository and if you want the full history
you just run this script and it does everything for you.

-- 
				Petr "Pasky" Baudis
Stuff: http://pasky.or.cz/
Of the 3 great composers Mozart tells us what it's like to be human,
Beethoven tells us what it's like to be Beethoven and Bach tells us
what it's like to be the universe.  -- Douglas Adams
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
Re: [QUESTION] about .git/info/grafts file, Junio C Hamano, (Wed Jan 18, 8:40 pm)
Re: [QUESTION] about .git/info/grafts file, Andreas Ericsson, (Thu Jan 19, 7:10 am)
Re: [QUESTION] about .git/info/grafts file, Franck, (Thu Jan 19, 9:31 am)
Re: [QUESTION] about .git/info/grafts file, Andreas Ericsson, (Thu Jan 19, 9:44 am)
Re: [QUESTION] about .git/info/grafts file, Ryan Anderson, (Fri Jan 20, 4:48 pm)
Re: [QUESTION] about .git/info/grafts file, Petr Baudis, (Thu Jan 19, 1:45 pm)
Re: [QUESTION] about .git/info/grafts file, Petr Baudis, (Thu Jan 19, 9:05 am)
Re: [QUESTION] about .git/info/grafts file, Franck, (Thu Jan 19, 6:51 am)
Re: [QUESTION] about .git/info/grafts file, Petr Baudis, (Thu Jan 19, 9:09 am)
Re: [QUESTION] about .git/info/grafts file, Linus Torvalds, (Thu Jan 19, 12:58 pm)
Re: [QUESTION] about .git/info/grafts file, Franck, (Thu Jan 19, 1:33 pm)
Re: [QUESTION] about .git/info/grafts file, Linus Torvalds, (Thu Jan 19, 1:49 pm)
Re: [QUESTION] about .git/info/grafts file, Petr Baudis, (Thu Jan 19, 1:30 pm)
speck-geostationary